html,
body {
    margin: 0;
    padding: 0;
    width: 100vw;
    max-width: 100%;
}



.m-0 {
    margin: 0;
}

span{
    text-decoration: none;
}

h2{
    text-decoration: none;
}

.main-header {
    display: flex;
    justify-content: left;
    align-items: center;
    text-decoration: none;
}

.swal2-container{
    font-family: Poppins;
}


.m-5 {
    margin: 5%
}

.dim-gray {
    color: #636363;
}

.white {
    color: #FFFFFF;
}

.flex {
    display: flex;
}

.flex-direction-row {
    flex-direction: row;
}

.flex-direction-column {
    flex-direction: column;
}


.container-1 {
    width: 100%;
    height: 100%;
    padding-bottom: 10%;
    background: url(public/DekoEnergy-Hero\ 1.svg), lightgray;
    background-size: cover;
    background-repeat: no-repeat;

}

.container-1-content {
    display: flex;
    flex-direction: row;
    justify-items: center;
}

.logo {
    width: 302px;
    height: 48px;
    margin-left: 0;
    margin-top: 100px;
}

.content-1-flex {
    display: flex;
    flex-direction: column;
    margin-left: 75px;
    width: 50%;
}

.main-title {
    width: 75%;
}

.green-logo {
    display: flex;
    width: 36px;
    height: 36px;
    padding: 10px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 200px;
    background: #4F7F70;
}

.green-logo-square {
    display: flex;
    width: 15vh;
    height: 4.35vw;
    padding: 10px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 12px;
    background: #4F7F70;
}

.logos {
    display: inline-flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    width: 95%;
}

.info-logo {
    display: flex;
    align-items: center;
    gap: 16px;
    overflow-wrap: normal;
    width: 100%;
}

.header0 {
    font-family: Poppins;
    font-size: 5vw;
    font-style: normal;
    font-weight: bolder;
    line-height: 67.2px;
    text-decoration: none;
    /* 120% */
}


.header1 {
    font-family: Poppins;
    font-size: 3.5vw;
    font-style: normal;
    font-weight: 500;
    line-height: 67.2px;
    text-decoration: none;
    /* 120% */
}

.header2 {
    font-family: Poppins;
    font-size: 3.125vw;
    font-style: normal;
    font-weight: 500;
    line-height: 56px;
    text-decoration: none;
    /* 140% */
}

.header3 {
    font-family: Poppins;
    font-size: 28px;
    font-style: normal;
    font-weight: 500;
    line-height: 39.2px;
    text-decoration: none;
    /* 140% */
}

.subtitle {
    /* Subtitle - 24 px */
    font-family: Poppins;
    font-size: 1.5vw;
    font-style: normal;
    font-weight: 500;
    line-height: 33.6px;
    text-decoration: none;
    /* 140% */
}

.subtitle-bold {
    /* Subtitle - 24 px */
    font-family: Poppins;
    font-size: 1.5vw;
    font-style: normal;
    font-weight: 800;
    line-height: 33.6px;
    text-decoration: none;
    /* 140% */
}

.text1 {
    /* Body 1 - 18 px */
    font-family: Poppins;
    font-size: 1.40625vw;
    font-style: normal;
    font-weight: 500;
    line-height: 25.2px;
    text-decoration: none;
    /* 140% */
}

.text2 {
    /* Body 2 - 16 px */
    font-family: Poppins;
    font-size: 1.25vw;
    font-style: normal;
    font-weight: 500;
    line-height: 19.6px;
    text-decoration: none;
    /* 122.5% */
}

.text3 {
    /* Body 3 - 14 px */
    font-family: Poppins;
    font-size: 1.09375vw;
    font-style: normal;
    font-weight: 500;
    line-height: 19.6px;
    text-decoration: none;
    /* 140% */
}

.link {
    /* Link - 14 px */
    font-family: Poppins;
    font-size: 1.09375vw;
    font-style: normal;
    font-weight: 500;
    line-height: 19.6px;
    /* 140% */
    text-decoration-line: underline;
}




.form {
    display: inline-flex;
    margin-right: 50px;
    margin-top: 50px;
    padding: 48px;
    flex-direction: column;
    align-items: flex-start;
    gap: 32px;
    width: 35%;
    height: 90%;
    border-radius: 12px;
    background: #FFF;
}

.form-box-1 {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.form-content {
    width: 100%;
}


.normal-paragraph {
    color: #172922;
    /* Body 1 - 18 px */
    font-size: 18px;
    font-weight: 500;
    line-height: 25.2px;
    /* 140% */
}

.box-2-form {
    width: 90%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    margin-top: 10%;
    margin-bottom: -17%;
    gap: 10px;
    border-radius: 200px;
    background: var(--branding-colors-tiber, #1A4442);
}


.contact-box {
    display: flex;
    width: auto;
    height: 120px;
    padding: 20px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    border-radius: 12px;
    background: #EAECF3;
    margin-top: 16px;
    margin-bottom: 16px;
}

.weight-500 {
    font-weight: 500;
}

.weight-800 {
    font-weight: 800;
}

.text-cardin-green {
    color: #172922;
}

.main-green {
    color: #4F7F70;
}

.mb-16 {
    margin-bottom: 16;
}

.inputs {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 16px;
}

input[type=text] {
    display: flex;
    height: 9vh;
    width: 95%;
    border-radius: 12px;
    border: 1px solid #636363;
    padding: 15px;
}


::placeholder {
    padding: 0px;
}

.privacy {
    margin-top: 5px;
    display: flex;
    align-items: center;
    gap: 12px;
}

.check-logo {
    display: flex;
    width: 24px;
    height: 24px;
    padding: 10px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 200px;
    border-color: #4F7F70;
    background: #4F7F70;
}

.form-button {
    margin-top: 10px;
    display: flex;
    width: 100%;
    padding: 24px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 12px;
    border-color: #4F7F70;
    background: #4F7F70;
}

.contacts {
    display: flex;
    flex-direction: row;
    gap: 20px;
}


.container-2 {
    width: auto;
    height: auto;
    margin: 7% 5% 7% 5%;
    background: #FFF;
}

.container-2-content {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin: 5%;
    width: 90%;
    gap: 2%;
}


.gray-box {
    width: 30%;
    height: 250px;
    padding: 3%;
    border-radius: 12px 12px 12px 12px;
    background: #EAECF3;
}

.container-3 {
    width: auto;
    height: auto;
    padding: 5% 5% 10% 5%;
    background: #1A4442;
}

.container-3-content {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    gap: 15px;
}

.container-3-box {
    width: 40%;
    padding: 5%;
}

.container-3-box-map {
    width: 40%;
    padding: 5%;
    border-radius: 12px;
    background: var(--complementary-saltpan, #F1FEDC);
    gap: 24px;
}

.number-white {
    position: absolute;
    display: flex;
    width: 22px;
    height: 22px;
    padding: 5px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-shrink: 0;
    border-radius: 200px;
    border: 2px solid #FFF;
    background: #1A4442;
}

.left-line {
    border-left: 3px solid white;
    margin: 0;
    padding: 0 0 0 45px;
}

.j-center {
    justify-content: center;
}

.j-start {
    justify-content: flex-start;
}

.a-start {
    align-items: flex-start;
}

.a-center {
    align-items: center;
}



#map-img {
    width: 100%;
    align-items: center;
}

.contact-container {
    display: flex;
    width: 85%;
    padding: 36px 36px;
    margin-top: -7%;
    margin-bottom: -7%;
    align-items: center;
    justify-content: center;
    gap: 15px;
    border-radius: 12px;
    background: #EAECF3;
}

.main-contact-container {
    height: 0;
}

.contact-container-1 {
    display: flex;
    align-items: center;
    gap: 5px;
    justify-content: end;
    width: 90%;
}

.contact-container-2 {
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 16px;
    border-left: 1px solid #636363;;
    padding-left: 1%;
}

.container-4 {
    padding: 7% 5% 10% 5%;
    width: auto;
    height: 100%;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.00) 36.46%, rgba(0, 0, 0, 0.80) 65.10%), url('public/container-4.svg'), lightgray 50% / cover no-repeat;
}

.container-main-content {
    display: flex;
    flex-direction: row;
    gap: 2%;
}

.container-4-card {
    width: 35%;
    height: auto;
    background-color: #FFF;
    border-radius: 12px 12px 12px 12px;
    justify-content: space-between;

}



.container-4-content {
    padding: 10%;
}

.image-back-1 {
    border-radius: 0px 0px 12px 12px;
    background: url(public/Rectangle\ 4.JPG), lightgray 0px -67.448px / 100% 128.145% no-repeat;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top;
    width: 100%;
    height: 40vh;
}

.image-back-2 {
    border-radius: 0px 0px 12px 12px;
    background: url(public/Rectangle\ 5.png), lightgray 0px -67.448px / 100% 128.145% no-repeat;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top;
    width: 100%;
    height: 40vh;
}


.image-back-3 {
    border-radius: 0px 0px 12px 12px;
    background: url(public/Rectangle\ 6.png), lightgray 0px -67.448px / 100% 128.145% no-repeat;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top;
    width: 100%;
    height: 40vh;
}

.green-data-section {
    display: flex;
    justify-content: center;
    align-items: center;
}

.green-data {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 85%;
    height: 120px;
    padding: 36px 36px;
    margin-top: -7%;
    margin-bottom: -7%;
    gap: 5%;
    border-radius: 12px;
    border-radius: 12px;
    background: var(--complementary-gossamer, #309575);
    fill: rgba(255, 255, 255, 0.10);
    background-image: url(public/green-box-background.svg);
    background-position: bottom right;
    background-repeat: no-repeat;
}

.container-6 {
    padding: 5%;
    background: #EAECF3;
}

.accordion {
    border-color: #FFF;
    width: 85%;
    border-radius: 12px 12px 12px 12px;
    margin: 1%;
    background: #FFF;
    justify-content: space-between;
}

.accordion-content {
    margin-top: -5%;
    display: none;
    width: 85%;
    border-radius: 12px 12px 12px 12px;
    background: #F1FEDC;
}

.active {
    background: #F1FEDC;
}

footer {
    padding: 5%;
    background: #161616;
    height: auto;
}

.footer-logo {
    margin-bottom: 5%;
}

.phone-link:hover {
    text-decoration: underline white;
}

.no-link{
    text-decoration: none;
    white-space: nowrap;
}

.footer-contact-icons {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.footer-contact {
    display: flex;
    flex-direction: row;
    gap: 5vh;
}

.footer-contact-content {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.footer-icon {
    display: flex;
    width: 15px;
    height: 15px;
    padding: 12px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 200px;
    border: 1px solid var(--branding-colors-main-green, #4F7F70);
}

.footer-info {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 7%;
}

.text3.dim-gray{
    line-height: 30px;
}

.text-center{
    text-align: center;
}

.button-contact1{
    display: none;
}

.logos-contact{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    
}

.accordion-text{
    margin: 5% 5% 2% 5%;
}

.person1{
    border-radius: 100%;
    width: 100px;
    height: 100px;
    background-image: url(public/person1.png);
    background-size: cover;
}

.person2{
    border-radius: 100%;
    width: 100px;
    height: 100px;
    background-image: url(public/person2.png);
    background-size: cover;
}

.person3{
    border-radius: 100%;
    width: 100px;
    height: 100px;
    background-image: url(public/person3.png);
    background-size: cover;
}


@media only screen and (max-width: 1100px) {

    .text3.dim-gray{
        line-height: 20px;
    }
    
    .text3{
        font-size: 1.5vw;
        
    }

    .contact-container {
        padding: 4%;
    }

    .gray-box {
        padding: 2%;
    }

    .contact-container-1 {
        white-space: nowrap;
    }

    .contact-container-2 {
        padding-left: 10px;
    }



    .container-3 {
        padding: 5% 5% 15% 5%;
    }

    .container-4-card {
        height: auto;
        justify-content: space-between;
    }

    .image-back-1,
    .image-back-2,
    .image-back-3 {
        height: 30vh;
    }

}


@media only screen and (max-width: 675px) {

    .logo{
        margin-top: 30%;
    }

    .button-contact1{
        display: block;
        margin-top: 5%;
        width: 80%;
        
    }

    .logos-contact{
        height: 100%;
        justify-content: space-between;
        gap: 100px;
        margin-bottom: 10%;
    }

    .text3.dim-gray{
        line-height: 30px;
    }

    .main-header {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .main-title {
        width: 90%;
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .logo {
        margin-left: 0;
    }

    .container-1 {
        background: none;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .container-1-content {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background: none;
    }

    .content-1-flex {
        margin: 0;
        width: 100%;
        height: 320vw;
        display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: center;
        background-image: url(public/Deko_Mobile\ 1.svg);
        background-size: cover;
        background-repeat: no-repeat;
    }

    .form {
        margin: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0;
        width: 80%;
        height: 100%;
    }

    .logos {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 10px;
        padding: 0;
        width: 70%;
    }

    .header0 {
        font-family: Poppins;
        font-size: 5vw;
        font-style: normal;
        font-weight: 900;
        line-height: 67.2px;
        /* 120% */
    }


    .header1 {
        font-size: 8vw;
        color: #161616;
    }

    .header2 {
        font-size: 7vw;
    }

    .header3 {
        font-size: 6vw;
    }

    .subtitle {
        /* Subtitle - 24 px */
        font-family: Poppins;
        font-size: 5vw;
        font-style: normal;
        font-weight: 500;
        line-height: 33.6px;
        /* 140% */
    }

    .subtitle-bold {
        /* Subtitle - 24 px */
        font-family: Poppins;
        font-size: 5vw;
        font-style: normal;
        font-weight: 800;
        line-height: 33.6px;
        /* 140% */
    }

    .text1 {
        /* Body 1 - 18 px */
        font-family: Poppins;
        font-size: 4vw;
        font-style: normal;
        font-weight: 500;
        line-height: 25.2px;
        /* 140% */
    }



    .text2 {
        /* Body 2 - 16 px */
        font-family: Poppins;
        font-size: 3.5vw;
        font-style: normal;
        font-weight: 500;
        line-height: 19.6px;
        /* 122.5% */
    }

    .text3 {
        /* Body 3 - 14 px */
        font-family: Poppins;
        font-size: 3.2vw;
        /* 140% */
    }

    .link {
        /* Link - 14 px */
        font-family: Poppins;
        font-size: 3vw;
        font-style: normal;
        font-weight: 500;
        line-height: 19.6px;
        /* 140% */
        text-decoration-line: underline;
    }

    .form-box-1 {
        margin: 15% 0 15% 0;
    }

    .container-2 {
        height: auto;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        background: #EAECF3;
        margin: 0;

    }

    .container-2-content {
        flex-direction: column;
        gap: 7%;
    }

    .gray-box {
        width: 70%;
        height: 30%;
        padding: 2%;
        border-radius: 12px 12px 12px 12px;
        background: #EAECF3;
    }

    .container-3 {
        padding: 0;
    }

    .container-3-content {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .container-3>h2.header2 {
        margin: 0;
        padding: 5%;
    }

    .green-logo-square {
        height: auto;
    }

    .container-3-box-map {
        border-radius: 0;
        padding: 5%;
        background-size: 100%;
        width: 90%;
        
    }

    .container-3-box-map>h3 p img {
        padding: 10%;
    }

    #map-img {
        width: 75%;
    }

    .main-contact-container {
        height: auto;
    }

    .contact-container {
        width: 80%;
        height: 90%;
        margin-top: 5%;
        margin-bottom: 5%;
        flex-direction: column;
    }


    .contact-container-1,
    .contact-container-2 {
        flex-direction: column;
    }

    .contact-container-2 {
        border-left: none;
        border-top: 1px solid #636363;
    }

    .container-main-content {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 30%;
    }

    .container-4-card {
        width: 90%;
        height: auto;
        margin: 5%;
    }

    .image-back-1,
    .image-back-2,
    .image-back-3 {
        height: 40vh;
    }

    .green-data-section {
        height: auto;
        background-color: #309575;
        fill: rgba(255, 255, 255, 0.10);
        background-image: url(public/green-box-background.svg);
        background-position: bottom right;
        background-repeat: no-repeat;
        
    }

    .green-data {
        margin-top: 5%;
        margin-bottom: 5%;
        background: none;
        gap: 2%;
    }

    .footer-contact-icons {
        flex-direction: column;
        align-items: left;
    }

    .footer-contact {
        flex-direction: column;
        align-items: left;
        gap: 10px;
        margin: 5% 5% 5% 0;
    }

    .footer-contact-content {
        align-items: left;
        justify-content: left;
        gap: 5%;
    }

    .header1 {
        font-weight: bolder;
    }

    .subtitle-content-1 {
        color: #161616;
    }

    .container-3-box {
        width: 80%;
    }

    .main-green {
        text-align: center;
    }

    .footer-info {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        border-bottom: 2px solid #636363;
    }

    .box-2-form {
        width: 100vw;
    }

    .box-2-form > p.text3{
        text-align: center;
    }

    


}


@media only screen and (max-width: 476px) {

    .green-data-section {
        background-image: url(public/green-box-background2.svg);
        background-size: contain;
        background-position: top left;
        background-repeat: no-repeat;
        
    }

    .logos-contact{
        gap: 0px;
    }
    .header0 {
        font-size: 18vw;
    }

    .green-data {
        flex-direction: column;
        height: auto;
    }

    .green-data div>p.text3 {
        margin: 0;
        gap: 10px;
    }

    .contacts {
        flex-direction: column;
    }

    .box-2-form {
        width: 100vw;
    }

    .box-2-form > p.text3{
        text-align: center;
    }

    .text3.dim-gray {
        /* Body 3 - 14 px */
        font-size: 2.75;
        /* 140% */
    }

    .gray-box {
        width: 60%;
        padding: 2%;
        border-radius: 12px 12px 12px 12px;
        background: #EAECF3;
    }

    .container-5 {
        margin-bottom: 5%;
    }

    .main-title{
        line-height: 1.5;
    }

    .content-1-flex {
        width: 100%;
        height: 400vw;
        background: url(public/Deko_Mobile\ 1.svg);
        background-size: cover;
        background-repeat: no-repeat;
    }

}


@media only screen and (max-width: 376px) {
    .logos-contact{
        gap: 0px;
    }
    .content-1-flex {
        width: 100%;
        height: 450vw;
        background: url(public/Deko_Mobile\ 6.svg);
        background-size: cover;
        background-repeat: no-repeat;
    }

} 

.whatsapp-button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 9999;
}

.whatsapp-button img {
  width: 75px; /* Tamaño del icono de WhatsApp */
  height: auto;
}

/* Media query para ajustar el tamaño del botón en dispositivos móviles */
@media (max-width: 767px) {
  .whatsapp-button {
    bottom: 10px;
    right: 10px;
  }

  .whatsapp-button img {
    width: 50px; /* Tamaño del icono de WhatsApp en dispositivos móviles */
  }
}

.punto-selector input[type="radio"] {
  display: none; /* Oculta los inputs de radio */
}

.punto-selector label {
  display: inline-block;
  padding: 15px 25px;
  background-color: #eee;
  border: 1px solid #ccc;
  border-radius: 5px;
  cursor: pointer;
}

.punto-selector input[type="radio"]:checked + label {
  background-color: #007bff;
  color: #fff;
}

